{%- from "ironic/map.jinja" import api,conductor,client with context %}

ironic_task_pkg_latest:
  test.show_notification:
    - text: "Running ironic.upgrade.pkg_latest"

policy-rc.d_present:
  file.managed:
    - name: /usr/sbin/policy-rc.d
    - mode: 755
    - contents: |
        #!/bin/sh
        exit 101

{%- set pkgs = [] %}
{%- if api.get('enabled', False) %}
  {%- do pkgs.extend(api.pkgs) %}
{%- endif %}
{%- if conductor.get('enabled', False) %}
  {%- do pkgs.extend(['ironic-conductor']) %}
{%- endif %}
{%- if client.get('enabled', False) %}
  {%- do pkgs.extend(client.pkgs) %}
{%- endif %}

ironic_pkg_latest:
  pkg.latest:
  - names: {{ pkgs|unique }}
  - require:
    - file: policy-rc.d_present
  - require_in:
    - file: policy-rc.d_absent

policy-rc.d_absent:
  file.absent:
    - name: /usr/sbin/policy-rc.d

